# M2 Projet Thématique - Diffusion Radio Proche-en-Proche

Un projet visant à créer un réseau de machine capable de diffuser une source 
audio à jouer de manière synchronisé.

Les communications du réseau doivent être chiffré et il ne doit pas être possible
d'inséré une machine inconnu pour pertuber le réseau.

## Usage

Debian
```bash
# dependencies
sudo apt install ffmpeg 

# download the project
git clone https://git.faraphel.fr/study-faraphel/M2-PT-DRP
cd ./M2-PT-DRP/

# create a virtual environment
python3 -m venv ./.venv/
source ./.venv/bin/activate

# install python packages
pip3 install -r ./requirements.txt

# run the application
python3 -m source
```
